Skip to content
SIBISIBI Developers
Esc
↑↓navigate↵open⌘Jpreview

Accept offer

Accepts an offer by placing orders for its included offering.

POST/{id}/accept
Authorization
AuthorizationBearer token · headerrequired

API token from the SIBI developer dashboard (developer.sibipro.com), sent as Authorization: Bearer <token>.

Scopes:write:offers
Path parameters
idstringrequired

The ID of the offer to accept

Responses
200

Offer accepted successfully

successbooleanrequired

Whether the offer was accepted successfully

acceptedAtstring<date-time>required

Timestamp when the offer was accepted

400

Bad request - Offer is not in an acceptable state

codestringrequired

Error code indicating the type of error

messagestringrequired

Human-readable error message explaining what went wrong

detailsobject[]

Detailed validation errors when applicable

Show properties
Array of object
fieldstringrequired
errorstringrequired
401

Unauthorized - Missing or invalid authentication

codestringrequired

Error code indicating the type of error

messagestringrequired

Human-readable error message explaining what went wrong

detailsobject[]

Detailed validation errors when applicable

Show properties
Array of object
fieldstringrequired
errorstringrequired
403

Forbidden - Caller can view this offer but is not allowed to accept it

codestringrequired

Error code indicating the type of error

messagestringrequired

Human-readable error message explaining what went wrong

detailsobject[]

Detailed validation errors when applicable

Show properties
Array of object
fieldstringrequired
errorstringrequired
404

Not found - Offer does not exist or caller is not allowed to view it

codestringrequired

Error code indicating the type of error

messagestringrequired

Human-readable error message explaining what went wrong

detailsobject[]

Detailed validation errors when applicable

Show properties
Array of object
fieldstringrequired
errorstringrequired
500

Internal server error

codestringrequired

Error code indicating the type of error

messagestringrequired

Human-readable error message explaining what went wrong

detailsobject[]

Detailed validation errors when applicable

Show properties
Array of object
fieldstringrequired
errorstringrequired
Request
curl -X POST "https://api.sibipro.com/prod/offers/string/accept" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "success": true,
  "acceptedAt": "2024-01-20T12:00:00Z"
}